Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.pmml.consumer
Class GeneralRegression

    java.lang.Object
      weka.classifiers.AbstractClassifier
          weka.classifiers.pmml.consumer.PMMLClassifier
              weka.classifiers.pmml.consumer.GeneralRegression

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Classifier, CapabilitiesHandler, OptionHandler, PMMLModel, RevisionHandler

    public class GeneralRegression

extends PMMLClassifier
implements java.io.Serializable

Class implementing import of PMML General Regression model. Can be used as a Weka classifier for prediction (buildClassifier() raises an Exception).

Version:
  $Revision: 5987 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  Serialized Form

Constructor Summary
`GeneralRegression(org.w3c.dom.Element model, Instances dataDictionary, MiningSchema miningSchema)` Constructs a GeneralRegression classifier.

Method Summary
`double[]` | `distributionForInstance(Instance inst)` Classifies the given test instance.
`java.lang.String` | `getRevision()` Returns the revision string.
`java.lang.String` | `toString()` Return a textual description of this general regression.

Methods inherited from class weka.classifiers.pmml.consumer.PMMLClassifier
`buildClassifier, done, getCreatorApplication, getDataDictionary, getFieldsMappingString, getLog, getMiningSchema, getPMMLVersion, mapToMiningSchema, setCreatorApplication, setLog, setPMMLVersion`

Methods inherited from class weka.classifiers.AbstractClassifier
`classifyInstance, debugTipText, forName, getCapabilities, getDebug, getOptions, listOptions, makeCopies, makeCopy, setDebug, setOptions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralRegression

    public GeneralRegression(org.w3c.dom.Element model,
                             Instances dataDictionary,
                             MiningSchema miningSchema)
                      throws java.lang.Exception

  Constructs a GeneralRegression classifier.

  Parameters:
    `model` - the Element that holds the model definition
    `dataDictionary` - the data dictionary as a set of Instances
    `miningSchema` - the mining schema
  Throws:
    `java.lang.Exception` - if there is a problem constructing the general regression object from the PMML.

Method Detail

### toString

    public java.lang.String toString()

  Return a textual description of this general regression.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a description of this general regression

### distributionForInstance

    public double[] distributionForInstance(Instance inst)
                                     throws java.lang.Exception

  Classifies the given test instance. The instance has to belong to a dataset when it's being classified.

  Specified by:
    `distributionForInstance` in interface `Classifier`
  Overrides:
    `distributionForInstance` in class `AbstractClassifier`
  Parameters:
    `inst` - the instance to be classified
  Returns:
    the predicted most likely class for the instance or Utils.missingValue() if no prediction is made
  Throws:
    `java.lang.Exception` - if an error occurred during the prediction

### getRevision

    public java.lang.String getRevision()

  Description copied from class: `AbstractClassifier`
  Returns the revision string.

  Specified by:
    `getRevision` in interface `RevisionHandler`
  Overrides:
    `getRevision` in class `AbstractClassifier`
  Returns:
    the revision

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD